---
title: 'MediaStream: addtrack event'
slug: Web/API/MediaStream/addtrack_event
tags:
  - Event
---
<div>{{APIRef}}</div>

<p>The <code>addtrack</code> event is fired when a new <code><a href="/en-US/docs/Web/API/MediaStreamTrack">MediaStreamTrack</a></code> object has been added to a <code><a href="/en-US/docs/Web/API/MediaStream">MediaStream</a></code>.</p>

<table class="properties">
 <tbody>
  <tr>
   <th scope="row">Bubbles</th>
   <td>No</td>
  </tr>
  <tr>
   <th scope="row">Cancelable</th>
   <td>No</td>
  </tr>
  <tr>
   <th scope="row">Interface</th>
   <td>{{domxref("MediaStreamTrackEvent")}}</td>
  </tr>
  <tr>
   <th scope="row">Event handler property</th>
   <td><code><a href="/en-US/docs/Web/API/MediaStream/onaddtrack">onaddtrack</a></code></td>
  </tr>
 </tbody>
</table>

<h2 id="Examples">Examples</h2>

<p>Using <code>addEventListener()</code>:</p>

<pre class="brush: js">let stream = new MediaStream();

stream.addEventListener('addtrack', (event) =&gt; {
  console.log(`New ${event.track.kind} track added`);
});</pre>

<p>Using the <code>onaddtrack</code> event handler property:</p>

<pre class="brush: js">let stream = new MediaStream();

stream.onaddtrack = (event) =&gt; {
  console.log(`New ${event.track.kind} track added`);
};</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
  </tr>
  <tr>
   <td>{{SpecName('Media Capture', '#event-mediastream-addtrack', 'addtrack')}}</td>
   <td>{{Spec2('Media Capture')}}</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.MediaStream.addtrack_event")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>Related events: <code><a href="/en-US/docs/Web/API/MediaStream/removetrack_event">removetrack</a></code></li>
 <li>This event on <code><a href="/en-US/docs/Web/API/AudioTrackList">AudioTrackList</a></code> targets: <code><a href="/en-US/docs/Web/API/AudioTrackList/addtrack_event">addtrack</a></code></li>
 <li>This event on <code><a href="/en-US/docs/Web/API/VideoTrackList">VideoTrackList</a></code> targets: <code><a href="/en-US/docs/Web/API/VideoTrackList/addtrack_event">addtrack</a></code></li>
 <li><a href="/en-US/docs/Web/API/Media_Streams_API">Media Streams API</a></li>
 <li><a href="/en-US/docs/Web/Guide/API/WebRTC" title="/en-US/docs/CSS/Using_CSS_animations">WebRTC</a></li>
</ul>
